Bug 1225977 - RANCID bugs cause failures on JunOS and Palo Alto gear
Summary: RANCID bugs cause failures on JunOS and Palo Alto gear
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: rancid
Version: el6
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: David Brown
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-28 15:33 UTC by Kevin Stange
Modified: 2015-06-25 23:57 UTC (History)
2 users (show)

Fixed In Version: rancid-3.1-4.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-24 15:58:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Kevin Stange 2015-05-28 15:33:08 UTC
Description of problem:

Two issues exist that prevent RANCID from handling some Juniper gear and all Palo Alto gear.

1) Code attempts to parse the scale-subscriber option which can result in divide-by-zero failure on some JunOS devices with certain licensing configurations.  Fixed in this patch from upstream:

ftp://ftp.shrubbery.net/pub/rancid/rancid-3.2.p2.gz

2) Due to a mistake, the panos.pm module defines the wrong namespace and Palo Alto hardware cannot be used with RANCID at all.  Fixed in this patch from upstream:

ftp://ftp.shrubbery.net/pub/rancid/rancid-3.2.p5.gz

Version-Release number of selected component (if applicable):

3.2-1

How reproducible:


Steps to Reproduce:
1. Define a JunOS device with scale-subscribers license limit set to 0 or any Palo Alto device
2. Attempt to run RANCID against the device

Actual results:

A failure occurs in the RANCID script

Expected results:

The configuration should be downloaded, parsed, and saved in the VCS

Additional info:

Other patches exist in the FTP directory against 3.2 but do not fix critical operational issues to any device support.  The patches I mentioned appear to apply cleanly other than the changes to the CHANGES file.

Comment 1 Fedora Update System 2015-05-30 17:32:49 UTC
rancid-3.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rancid-3.2-2.fc21

Comment 2 Fedora Update System 2015-05-30 17:33:29 UTC
rancid-3.2-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/rancid-3.2-2.fc22

Comment 3 Fedora Update System 2015-05-30 17:34:08 UTC
rancid-3.2-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/rancid-3.2-2.el7

Comment 4 Fedora Update System 2015-05-30 18:21:00 UTC
rancid-3.1-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rancid-3.1-4.el6

Comment 5 David Brown 2015-05-30 20:11:06 UTC
So it seems upstream isn't supporting anything >= 3.2 on RHEL 6. He's got some IPv6 code in there that isn't compatible with the version of the Socket module. So I've applied the patches mentioned to all Fedora and EPEL 7 at least. Hopefully this is sufficient.

Comment 6 Fedora Update System 2015-06-01 17:01:33 UTC
Package rancid-3.2-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rancid-3.2-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9243/rancid-3.2-2.fc22
then log in and leave karma (feedback).

Comment 7 Kevin Stange 2015-06-01 17:43:55 UTC
I was using RANCID 3.2-1 on EL6, but the version submitted for EPEL6 is 3.1-4.  Won't this now be seen as a downgrade?

Seems like there is also a patch in #1224143 that works around the issue for 3.2 compatibility on EL6 perl.

Comment 8 David Brown 2015-06-01 20:44:25 UTC
Yes, its a downgrade from busted to working but older...

I'll post the patch mentioned in the bug to the rancid mailing list. However, if they don't pick it up I'm not going to support it.

Comment 9 Fedora Update System 2015-06-24 15:58:03 UTC
rancid-3.2-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-06-24 15:59:09 UTC
rancid-3.2-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-06-25 23:54:26 UTC
rancid-3.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-06-25 23:57:53 UTC
rancid-3.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.